Freeciv-3.3: audio_plugin Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
audio_plugin Struct Reference

`#include <audio.h>`

## Data Fields

char | name [MAX_AUDIO_NAME_LEN]
char | descr [MAX_AUDIO_DESCR_LEN]
bool | initialized
bool(* | init )(struct audio_plugin *self)
void(* | shutdown )(struct audio_plugin *self)
void(* | stop )(void)
void(* | wait )(void)
double(* | get_volume )(void)
void(* | set_volume )(double volume)
bool(* | play )(const char *const tag, const char *const path, bool repeat, audio_finished_callback cb)
void(* | pause )(void)
void(* | resume )(void)

## Detailed Description

Definition at line 30 of file audio.h.

## Field Documentation

## ◆ descr

char audio_plugin::descr[MAX_AUDIO_DESCR_LEN]

Definition at line 32 of file audio.h.

## ◆ get_volume

double(* audio_plugin::get_volume) (void)

Definition at line 38 of file audio.h.

Referenced by audio_get_volume().

## ◆ init

bool(* audio_plugin::init) (struct audio_plugin *self)

Definition at line 34 of file audio.h.

## ◆ initialized

bool audio_plugin::initialized

Definition at line 33 of file audio.h.

## ◆ name

char audio_plugin::name[MAX_AUDIO_NAME_LEN]

Definition at line 31 of file audio.h.

## ◆ pause

void(* audio_plugin::pause) (void)

Definition at line 42 of file audio.h.

Referenced by audio_pause().

## ◆ play

bool(* audio_plugin::play) (const char *const tag, const char *const path, bool repeat, audio_finished_callback cb)

Definition at line 40 of file audio.h.

## ◆ resume

void(* audio_plugin::resume) (void)

Definition at line 43 of file audio.h.

Referenced by audio_resume().

## ◆ set_volume

void(* audio_plugin::set_volume) (double volume)

Definition at line 39 of file audio.h.

Referenced by audio_select_plugin(), and audio_set_volume().

## ◆ shutdown

void(* audio_plugin::shutdown) (struct audio_plugin *self)

Definition at line 35 of file audio.h.

Referenced by audio_select_plugin(), and audio_shutdown().

## ◆ stop

void(* audio_plugin::stop) (void)

Definition at line 36 of file audio.h.

Referenced by audio_select_plugin(), audio_stop(), and audio_stop_usage().

## ◆ wait

void(* audio_plugin::wait) (void)

Definition at line 37 of file audio.h.

Referenced by audio_select_plugin(), and audio_shutdown().